Bug 486392 - Various scheduling issues
Various scheduling issues
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 11:06 EST by Orion Poplawski
Modified: 2009-02-23 08:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 08:12:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-02-19 11:06:04 EST
Description of problem:

cron.hourly/0anacron is starting the cron.daily jobs to early/often.  What was the goal of this change?

Also, /etc/cron.d/0hourly duplicates the actions of the:

01 * * * * root run-parts /etc/cron.hourly

line in /etc/crontab, so we're now running /etc/cron.hourly/* twice.

Feb 19 00:01:01 xenfdev64 CROND[468]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[468]: starting 0anacron
Feb 19 00:01:01 xenfdev64 CROND[475]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[475]: starting 0anacron
Feb 19 00:01:01 xenfdev64 anacron[492]: Anacron 2.3 started on 2009-02-19
Feb 19 00:01:01 xenfdev64 anacron[494]: Anacron 2.3 started on 2009-02-19
Feb 19 00:01:01 xenfdev64 anacron[494]: Job `cron.daily' locked by another anacron -
skipping
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[497]: finished 0anacron
Feb 19 00:01:01 xenfdev64 anacron[492]: Will run job `cron.daily' in 6 min.
Feb 19 00:01:01 xenfdev64 anacron[492]: Jobs will be executed sequentially
Feb 19 00:01:01 xenfdev64 anacron[494]: Normal exit (0 jobs run)
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[498]: finished 0anacron
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[468]: starting mcelog.cron
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[475]: starting mcelog.cron
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[510]: finished mcelog.cron
Feb 19 00:01:01 xenfdev64 run-parts(/etc/cron.hourly)[512]: finished mcelog.cron
Feb 19 00:07:01 xenfdev64 anacron[492]: Normal exit (1 job run)

Feb 19 01:01:01 xenfdev64 CROND[1008]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 01:01:01 xenfdev64 run-parts(/etc/cron.hourly)[1008]: starting 0anacron
Feb 19 01:01:01 xenfdev64 CROND[1014]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 01:01:01 xenfdev64 run-parts(/etc/cron.hourly)[1014]: starting 0anacron
Feb 19 01:01:01 xenfdev64 anacron[1027]: Anacron 2.3 started on 2009-02-19
Feb 19 01:01:01 xenfdev64 anacron[1027]: Will run job `cron.daily' in 28 min.
Feb 19 01:01:01 xenfdev64 anacron[1027]: Jobs will be executed sequentially
Feb 19 01:01:01 xenfdev64 run-parts(/etc/cron.hourly)[1032]: finished 0anacron
Feb 19 01:01:01 xenfdev64 run-parts(/etc/cron.hourly)[1008]: starting mcelog.cron
Feb 19 01:01:01 xenfdev64 anacron[1039]: Anacron 2.3 started on 2009-02-19
Feb 19 01:01:01 xenfdev64 anacron[1039]: Job `cron.daily' locked by another anacron -
 skipping
Feb 19 01:01:01 xenfdev64 anacron[1039]: Normal exit (0 jobs run)
Feb 19 01:01:01 xenfdev64 run-parts(/etc/cron.hourly)[1043]: finished 0anacron
Feb 19 01:29:01 xenfdev64 anacron[1027]: Normal exit (1 job run)

And now here cron.daily gets run twice:


Feb 19 04:01:01 xenfdev64 CROND[2722]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2722]: starting 0anacron
Feb 19 04:01:02 xenfdev64 CROND[2728]: (root) CMD (run-parts /etc/cron.hourly)
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2728]: starting 0anacron
Feb 19 04:01:02 xenfdev64 anacron[2743]: Anacron 2.3 started on 2009-02-19
Feb 19 04:01:02 xenfdev64 anacron[2743]: Will run job `cron.daily' in 12 min.
Feb 19 04:01:02 xenfdev64 anacron[2743]: Jobs will be executed sequentially
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2747]: finished 0anacron
Feb 19 04:01:02 xenfdev64 anacron[2749]: Anacron 2.3 started on 2009-02-19
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2722]: starting mcelog.cron
Feb 19 04:01:02 xenfdev64 anacron[2749]: Job `cron.daily' locked by another anacron -
 skipping
Feb 19 04:01:02 xenfdev64 anacron[2749]: Normal exit (0 jobs run)
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2753]: finished 0anacron
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2728]: starting mcelog.cron
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2760]: finished mcelog.cron
Feb 19 04:01:02 xenfdev64 run-parts(/etc/cron.hourly)[2765]: finished mcelog.cron
Feb 19 04:02:01 xenfdev64 CROND[2768]: (root) CMD (run-parts /etc/cron.daily)
Feb 19 04:02:01 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting 0backup
Feb 19 04:02:17 xenfdev64 run-parts(/etc/cron.daily)[2781]: finished 0backup
Feb 19 04:02:17 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting 0logwatch
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[3175]: finished 0logwatch
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting cups
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[3182]: finished cups
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting logrotate
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[3189]: finished logrotate
Feb 19 04:02:26 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting makewhatis.cron
Feb 19 04:02:33 xenfdev64 run-parts(/etc/cron.daily)[4061]: finished makewhatis.cron
Feb 19 04:02:33 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting mlocate.cron
Feb 19 04:02:42 xenfdev64 run-parts(/etc/cron.daily)[4072]: finished mlocate.cron
Feb 19 04:02:42 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting prelink
Feb 19 04:05:28 xenfdev64 run-parts(/etc/cron.daily)[5032]: finished prelink
Feb 19 04:05:28 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting rpm
Feb 19 04:05:48 xenfdev64 run-parts(/etc/cron.daily)[5161]: finished rpm
Feb 19 04:05:48 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting tmpwatch
Feb 19 04:05:48 xenfdev64 run-parts(/etc/cron.daily)[5199]: finished tmpwatch
Feb 19 04:05:48 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting yum.cron
Feb 19 04:10:02 xenfdev64 CROND[5226]: (root) CMD (/usr/lib64/sa/sa1 -d 1 1)
Feb 19 04:13:02 xenfdev64 anacron[2743]: Job `cron.daily' started
Feb 19 04:13:02 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting 0backup
Feb 19 04:13:04 xenfdev64 run-parts(/etc/cron.daily)[5244]: finished 0backup
Feb 19 04:13:04 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting 0logwatch
Feb 19 04:14:23 xenfdev64 run-parts(/etc/cron.daily)[5281]: finished yum.cron
Feb 19 04:14:23 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting zz-check-for-updated-programs
Feb 19 04:14:23 xenfdev64 run-parts(/etc/cron.daily)[5295]: finished zz-check-for-updated-programs
Feb 19 04:14:23 xenfdev64 run-parts(/etc/cron.daily)[2768]: starting zz-reboot-if-needed
Feb 19 04:14:23 xenfdev64 run-parts(/etc/cron.daily)[5305]: finished zz-reboot-if-needed
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5675]: finished 0logwatch
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting cups
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5682]: finished cups
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting logrotate
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5689]: finished logrotate
Feb 19 04:19:12 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting makewhatis.cron
Feb 19 04:19:19 xenfdev64 run-parts(/etc/cron.daily)[6558]: finished makewhatis.cron
Feb 19 04:19:19 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting mlocate.cron
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[6569]: finished mlocate.cron
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting prelink
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[6581]: finished prelink
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting rpm
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[6598]: finished rpm
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting tmpwatch
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[6636]: finished tmpwatch
Feb 19 04:19:27 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting yum.cron
Feb 19 04:20:01 xenfdev64 CROND[6663]: (root) CMD (/usr/lib64/sa/sa1 -d 1 1)
Feb 19 04:23:26 xenfdev64 run-parts(/etc/cron.daily)[9330]: finished yum.cron
Feb 19 04:23:26 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting zz-check-for-updated-programs
Feb 19 04:23:27 xenfdev64 run-parts(/etc/cron.daily)[9342]: finished zz-check-for-updated-programs
Feb 19 04:23:27 xenfdev64 run-parts(/etc/cron.daily)[5231]: starting zz-reboot-if-needed
Feb 19 04:30:02 xenfdev64 CROND[9356]: (root) CMD (/usr/lib64/sa/sa1 -d 1 1)
Feb 19 04:40:01 xenfdev64 CROND[9360]: (root) CMD (/usr/lib64/sa/sa1 -d 1 1)
Feb 19 04:50:01 xenfdev64 CROND[9364]: (root) CMD (/usr/lib64/sa/sa1 -d 1 1)
Feb 19 04:53:27 xenfdev64 run-parts(/etc/cron.daily)[9375]: finished zz-reboot-if-needed
Feb 19 04:53:27 xenfdev64 anacron[2743]: Job `cron.daily' terminated (mailing output)
Feb 19 04:53:28 xenfdev64 anacron[2743]: Normal exit (1 job run)

Version-Release number of selected component (if applicable):
anacron-2.3-69.fc11.x86_64
Comment 1 Marcela Mašláňová 2009-02-20 01:34:27 EST
Could you write me your configuration of /etc/crontab and /etc/anacrontab? The regularly job should be set from anacron and they are supposed to start between 3:06 and 3:50.
Comment 2 Orion Poplawski 2009-02-20 11:24:29 EST
[root@xenfdev64 ~]# cat /etc/crontab
SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/

# run-parts
01 * * * * root run-parts /etc/cron.hourly
02 4 * * * root run-parts /etc/cron.daily
22 4 * * 0 root run-parts /etc/cron.weekly
42 4 1 * * root run-parts /etc/cron.monthly
0 * * * * root /usr/sbin/cfexecd -F > /dev/null


Note the cron.hourly line - hence no need for /etc/cron.d/0hourly:

[root@xenfdev64 ~]# cat /etc/cron.d/0hourly
01 * * * * root run-parts /etc/cron.hourly


[root@xenfdev64 ~]# cat /etc/anacrontab
# /etc/anacrontab: configuration file for anacron

# See anacron(8) and anacrontab(5) for details.

SHELL=/bin/sh
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
# the maximal random delay added to the base delay of the jobs
RANDOM_DELAY=45
# the jobs will be started during the following hours only
START_HOURS_RANGE=3-22

#period in days   delay in minutes   job-identifier   command
1       5       cron.daily              nice run-parts /etc/cron.daily
7       25      cron.weekly             nice run-parts /etc/cron.weekly
@monthly 45     cron.monthly            nice run-parts /etc/cron.monthly



The regular cron.daily seem to run at 4, but two copies.
Comment 3 Marcela Mašláňová 2009-02-23 08:12:01 EST
The crontab should be empty. All regular jobs as cron.daily are started from /etc/anacrontab. I suppose you used your old crontab(.rpmsave) file.

Note You need to log in before you can comment on or make changes to this bug.